Page MenuHomeFreeBSD

net-p2p/tremotesf: update to 2.6.2
ClosedPublic

Authored by uzsolt on Apr 27 2024, 5:30 AM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Jul 6, 8:36 PM
Unknown Object (File)
Sun, Jun 16, 5:29 AM
Unknown Object (File)
Jun 6 2024, 5:34 PM
Unknown Object (File)
May 24 2024, 8:34 PM
Unknown Object (File)
May 7 2024, 1:10 PM
Unknown Object (File)
May 2 2024, 11:13 PM
Unknown Object (File)
Apr 30 2024, 7:11 AM
Unknown Object (File)
Apr 29 2024, 5:53 PM

Details

Summary

Add compiler:c++20-lang to USES.

Changelog: https://github.com/equeim/tremotesf2/releases/tag/2.6.2

PR: 278274
Approved by: bofh (mentor) OR diizzy (mentor)
(Differential Revision: https://reviews.freebsd.org/D###)

Test Plan

Portlint, portfmt passed. Portclippy doesn't handle correctly the
.if conditionals in Makefile (see https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=278591).

Poudriere testport passed on 13.2, 13.3, 14.0 (amd64).

I don't forget git commit --author.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

uzsolt created this revision.

Do we still need to use the bundled version of HTTPLIB? https://github.com/equeim/tremotesf2/tree/2.6.2/src/3rdparty matches what we already have in ports, https://www.freshports.org/www/cpp-httplib/
Can we also use upstream's release archives? https://docs.freebsd.org/en/books/porters-handbook/book/#makefile-master_sites-github

LGTM otherwise

Do we still need to use the bundled version of HTTPLIB? https://github.com/equeim/tremotesf2/tree/2.6.2/src/3rdparty matches what we already have in ports, https://www.freshports.org/www/cpp-httplib/

Unfortunately, yes, we still need it. httplib 0.15 and above is broken on FreeBSD 13 due to old OpenSSL 1.

Can we also use upstream's release archives? https://docs.freebsd.org/en/books/porters-handbook/book/#makefile-master_sites-github

I'd be happy to switch as soon as D37929 will land port tree (or after it will be marked as Abandoned without alternative implementation).

D37929 will probably not be merged, just use MASTER_SITES instead but it's fine as is for now.

This revision is now accepted and ready to land.Apr 28 2024, 11:39 AM
This revision was automatically updated to reflect the committed changes.